Summary:	The password database library.
Name:		compat-pwdb
Group:		System Environment/Base
License:	GPL or BSD
Version:	0.62
Release:	1
Source:		pwdb-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Requires:	pam
Obsoletes:	pwdb
Provides:	pwdb

%description
The compat-pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%files
  %defattr(-,root,root)
  %doc Copyright doc/pwdb.txt doc/html
  %attr(0555,root,root)	/%{_lib}/libpwdb.so.%{version}

%prep
%setup -q -n pwdb-%{version}
  rm default.defs; ln -s defs/redhat.defs default.defs
  chmod -R g-s .

%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/{etc,%{_lib},usr/include/pwdb}
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
  mkdir -p $RPM_BUILD_ROOT/%{_lib}
  mkdir -p $RPM_BUILD_ROOT/%{_includedir}/pwdb

  make	INCLUDED=$RPM_BUILD_ROOT/%{_includedir}/pwdb \
	LIBDIR=$RPM_BUILD_ROOT/%{_lib} \
	LDCONFIG=":" \
	install

  rm -fr $RPM_BUILD_ROOT/usr/include/pwdb
  rm -f $RPM_BUILD_ROOT/%{_lib}/libpwdb.a
  rm -f $RPM_BUILD_ROOT/%{_lib}/libpwdb.so

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.62, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
